Tokens
Get tokens returns real-time or historical token information.
Get Tokens
GEThttps://api.adesic.com/v2/dex/{exchange}/{blockchain}/tokens
Returns an array of real-time or historical token data on a decentralized exchange.
Path Parameters
| Name | Type | Description |
|---|---|---|
| exchange* | string | Decentralized exchange Id |
| blockchain* | string | Blockchain for decentralized exchange |
Query Parameters
| Name | Type | Description |
|---|---|---|
| apiKey* | string | Your Adesic API Key |
| limit | int | Number of results per request. Maximum 1,0000 (default 100) |
| orderBy | string | Sort the returned data by any field in the API response, such as id, name, symbol, volumeUSD and more. |
| orderDirection | string | asc or desc return the results sorted by that field in either ascending or descending order. |
| skip | int | Number of results to skip per request. |
| tokenSymbol | string | Filters the results to show only records with the specified token symbol. Example: WETH |
| tokenId | string | Filters the results to show only records with the specified token ID. Example: 0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2 |
| tokenName | string | Filters the results to show only records with the specified token name. Example: Wrapped Ethereum |
| logo | boolean | Determines whether or not to include the logo in the response. Example: true or false |
200: OK Success
success-response.json
[
{
"id": "0x00000000000045166c45af0fc6e4cf31d9e14b9a",
"name": "TopBidder",
"symbol": "BID",
"decimals": "18",
"supply": "28240",
"totalValueLocked": "45.690660599764812617",
"totalValueLockedUSD": "0",
"volume": "8347.641875381858852443",
"volumeUSD": "8114.480070327402387046118602321907",
"untrackedVolumeUSD": "4057.240035163701193523059301160956",
"txCount": "15",
"derivedETH": "0",
"feesUSD": "81.14480070327402387046118602321907",
"totalValueLockedUSDUntracked": "0",
"poolCount": "0"
}
]Copy & Paste Code
cURL
curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum/tokensResponse Object
Example URL: https://api.adesic.com/v2/dex/uniswap/ethereum/tokens
response-example.json
[
{
"id": "0x00000000000045166c45af0fc6e4cf31d9e14b9a",
"name": "TopBidder",
"symbol": "BID",
"decimals": "18",
"supply": "28240",
"totalValueLocked": "45.690660599764812617",
"totalValueLockedUSD": "0",
"volume": "8347.641875381858852443",
"volumeUSD": "8114.480070327402387046118602321907",
"untrackedVolumeUSD": "4057.240035163701193523059301160956",
"txCount": "15",
"derivedETH": "0",
"feesUSD": "81.14480070327402387046118602321907",
"totalValueLockedUSDUntracked": "0",
"poolCount": "0"
}
]Response Attributes
| Attribute Name | Data Type | Description |
|---|---|---|
| id | string | Token contract address |
| name | string | Token name |
| symbol | string | Token symbol |
| decimals | string | Token decimals |
| supply | string | Token total supply |
| totalValueLocked | string | Liquidity across all pools in token units |
| totalValueLockedUSD | string | Liquidity across all pools in derived USD |
| volume | string | Volume in token units |
| volumeUSD | string | Volume in derived USD |
| untrackedVolumeUSD | string | Volume in USD even on pools with less reliable USD values |
| txCount | string | Transactions across all pools that include this token |
| derivedETH | string | Derived price in ETH |
| feesUSD | string | Fees in USD |
| totalValueLockedUSDUntracked | string | TVL derived in USD untracked |
| poolCount | string | Number of pools containing this token |